/*
 * DV Player plugin for VDR
 *
 * Copyright (C) 2003, 2004 Erich Bachl <erich.bachl@vr-web.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 */

#include <stdint.h>
#include "status.h"

void cDVStatus::DVStatus()
{
  recordings = replays = 0;
}

void cDVStatus::Recording(const cDevice *Device, const char *Name, const char *FileName, bool On)
{
  if (Name == NULL) {
    dx(1, "Stop recording #%d", recordings);
    recordings--; // recording stopped
  }
  else {
    recordings++; // recording started
    dx(1, "Start recording #%d: %s on device %d", recordings, Name, Device->CardIndex());
  }
}

void cDVStatus::Replaying(const cControl *Control, const char *Name, const char *FileName, bool On)
{
  if (Name == NULL) {
    dx(1, "Stop replay #%d", replays);
    replays--; // replaying stopped
  }
  else {
    replays++; // replaying started
    dx(1, "Start replay #%d: %s", replays, Name);
  }
}

void cDVStatus::ChannelSwitch(const cDevice *Device, int ChannelNumber)
{
  dx(1, "Switching to channel %d on device %d", ChannelNumber, Device->CardIndex());
}
